
%global meadversion 1.2.8
%global namedversion 1.2.8.redhat-4
%global meadalpha .redhat_4
%global meadrel .2
%global serial 7

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.2.8.redhat-4

Name:           org.apache.felix.configadmin
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Felix Configuration Admin Service
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: org.apache.felix.configadmin-1.2.8.redhat-4-scm-sources.zip
Source102: org.apache.felix.configadmin-1.2.8.redhat-4-javadoc.jar
Source103: org.apache.felix.configadmin-1.2.8.redhat-4.pom
Source104: org.apache.felix.configadmin-1.2.8.redhat-4-sources.jar
Source105: org.apache.felix.configadmin-1.2.8.redhat-4.jar
%endif

URL:            http://felix.apache.org/site/apache-felix-config-admin.html
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       felix-parent >= 0:1.2.1
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/org.apache.felix.configadmin-%{namedversion}-%{release}-root

%description
Implementation of the OSGi Configuration Admin Service Specification
1.2.

%if %with javadoc
%package -n org.apache.felix.configadmin-javadoc
Summary:        Javadoc for org.apache.felix.configadmin
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n org.apache.felix.configadmin-javadoc
%{summary}.
%endif

%prep
%setup -q -n org.apache.felix.configadmin -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/org.apache.felix.configadmin-%{namedversion}.jar %{buildroot}%{_javadir}/org.apache.felix.configadmin-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/org.apache.felix.configadmin-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/org.apache.felix.configadmin-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/org.apache.felix.configadmin-%{namedversion}-sources.jar %{buildroot}%{_javadir}/org.apache.felix.configadmin-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/org.apache.felix.configadmin-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-org.apache.felix.configadmin.pom

# depmaps
%add_to_maven_depmap org.apache.felix org.apache.felix.configadmin %{namedversion} JPP org.apache.felix.configadmin
[ %{name} = "org.apache.felix.configadmin" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/org.apache.felix.configadmin

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/org.apache.felix.configadmin-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/org.apache.felix.configadmin-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/org.apache.felix.configadmin-%{namedversion} -x META-INF/\*
%{__ln_s} org.apache.felix.configadmin-%{namedversion} %{buildroot}%{_javadocdir}/org.apache.felix.configadmin
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n org.apache.felix.configadmin
%update_maven_depmap

%postun -n org.apache.felix.configadmin
%update_maven_depmap

%files -n org.apache.felix.configadmin
%defattr(0644,root,root,0755)
%doc changelog.txt DEPENDENCIES LICENSE NOTICE
%{_javadir}/org.apache.felix.configadmin-%{namedversion}.jar
%{_javadir}/org.apache.felix.configadmin.jar
%exclude %{_javadir}/org.apache.felix.configadmin-%{namedversion}-javadoc.jar
%exclude %{_javadir}/org.apache.felix.configadmin-javadoc.jar
%{_javadir}/org.apache.felix.configadmin-%{namedversion}-sources.jar
%{_javadir}/org.apache.felix.configadmin-sources.jar
%{_mavenpomdir}/JPP-org.apache.felix.configadmin.pom
%{_mavendepmapfragdir}/org.apache.felix.configadmin

%if %with javadoc
%files -n org.apache.felix.configadmin-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/org.apache.felix.configadmin-%{namedversion}
%{_javadocdir}/org.apache.felix.configadmin
%{_javadir}/org.apache.felix.configadmin-%{namedversion}-javadoc.jar
%{_javadir}/org.apache.felix.configadmin-javadoc.jar
%endif

%changelog
* Tue Nov 12 2013 David Walluck <dwalluck@redhat.com> 0:1.2.8-7.redhat_4.2
- rebuild to fix changelog

* Tue Nov 12 2013 David Walluck <dwalluck@redhat.com> 0:1.2.8-6.redhat_4.2
- fix Import-Package versions in MANIFEST.MF

* Mon Oct 21 2013 David Walluck <dwalluck@redhat.com> 0:1.2.8-5.redhat_3
- fix MEAD build

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.8-4_redhat_2
- Rebuild for MD5

* Tue Sep 04 2012 David Walluck <dwalluck@redhat.com> 0:1.2.8-3
- update vman patch by hand to reduce whitespace changes

* Fri Aug 31 2012 David Walluck <dwalluck@redhat.com> 0:1.2.8-2
- rediff vman patch
- add back sources and javadoc jars

* Fri Aug 31 2012 David Walluck <dwalluck@redhat.com> 0:1.2.8-1
- build against parent org.apache.felix:felix-parent:1.2.1-redhat-2

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.8-0.6_redhat_2.4
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.8-0.6_redhat_2.3
- Rebuild unsigned

* Fri Jul 20 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.8-0.6_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.8-0.6_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.8-0.6_redhat_1
- Remove javadoc.jar from main package

* Fri Mar 23 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.2.8-0.5_redhat_1
- Upgrade to new wrapper

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:1.2.8-0.4_redhat_1
- Rebuild to use new signing key

* Tue Feb 07 2012 Hui Wang <huwang@redhat.com> 0:1.2.8-0.3_redhat_1
- Resign new 2011 key
- Update pom patch

* Tue Oct 04 2011 David Walluck <dwalluck@redhat.com> 0:1.2.8-0.2_redhat_1
- update patch
- fix version
- unsign jars in %%install

* Fri Aug 19 2011 David Walluck <dwalluck@redhat.com> 0:1.2.8-0.1
- release
